View Issue Details

IDProjectCategoryView StatusLast Update
13599Bug reports[All Projects] Otherpublic2018-05-16 12:12
Reportersullygroup69 Assigned ToLouisGac  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.6.x 
Target VersionFixed in Version3.7.x 
Summary13599: Table user_in_groups not cleaned
Description

Entries in the table user_in_groups are not cleaned when a survey group is deleted.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.6.2+180406
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionPostgreSQL 9.6.7
Server OS (if known)Debian GNU/Linux 9 (stretch)
Webserver software & version (if known)Apache/2.4.25 (Debian)
PHP Version7.0.27-0+deb9u1

Related Changesets

LimeSurvey: master 378c9402

2018-05-16 11:53:41

TonisOrmisson


Committer: LouisGac Details Diff
Fixed issue 13599: Table user_in_groups not cleaned (#1047) Affected Issues
13599
mod - application/controllers/admin/checkintegrity.php Diff File
mod - application/controllers/admin/usergroups.php Diff File
mod - application/models/UserGroup.php Diff File
mod - application/views/admin/checkintegrity/check_view.php Diff File

Issue History

Date Modified Username Field Change
2018-04-12 19:27 sullygroup69 New Issue
2018-04-20 23:00 TonisOrmisson Assigned To => TonisOrmisson
2018-04-20 23:00 TonisOrmisson Status new => assigned
2018-04-21 00:27 TonisOrmisson Note Added: 47481
2018-05-16 11:53 LouisGac Changeset attached => LimeSurvey master 378c9402
2018-05-16 11:53 LouisGac Note Added: 47609
2018-05-16 11:53 LouisGac Assigned To TonisOrmisson => LouisGac
2018-05-16 11:53 LouisGac Resolution open => fixed
2018-05-16 11:53 LouisGac Status assigned => resolved
2018-05-16 12:12 ollehar Status resolved => closed
2018-05-16 12:12 ollehar Fixed in Version => 3.7.x